Passa al contenuto principale

ObjectStorageBucketChartResponse

Successful response with one ObjectStorageBucketChart

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

Resource returned by the operation

object_storage_idintegerrequired

Id of the object storage (GET /api/v3/object-storages/{object_storage_id})

bucket_idintegerrequired

Id of the bucket (GET /api/v3/object-storages/{object_storage_id}/buckets/{bucket_id})

intervalstringrequired

Interval between two points, as an ISO 8601 duration: always P1D, one point per day

Example: P1D
points object[]required

Usage of the bucket day by day, oldest first

  • Array [
  • xfloatrequired

    UNIX timestamp in milliseconds

    active_storage_bytesintegerrequired

    Space used by the active objects on the day, in bytes

    deleted_storage_bytesintegerrequired

    Space of the deleted objects still counted on the day, in bytes

    active_objectsintegerrequired

    Number of active objects on the day

    deleted_objectsintegerrequired

    Number of deleted objects still counted on the day

    api_calls_countintegerrequired

    Number of API calls on the day

    storage_wrote_bytesintegerrequired
    storage_read_bytesintegerrequired
    ingress_traffic_bytesintegerrequired
    egress_traffic_bytesintegerrequired
  • ]
  • metarequired

    Always null: only the paginated lists have a meta

    Constant value: null
    ObjectStorageBucketChartResponse
    {
    "error": 0,
    "message": "string",
    "data": {
    "object_storage_id": 0,
    "bucket_id": 0,
    "interval": "P1D",
    "points": [
    {
    "x": 0,
    "active_storage_bytes": 0,
    "deleted_storage_bytes": 0,
    "active_objects": 0,
    "deleted_objects": 0,
    "api_calls_count": 0,
    "storage_wrote_bytes": 0,
    "storage_read_bytes": 0,
    "ingress_traffic_bytes": 0,
    "egress_traffic_bytes": 0
    }
    ]
    }
    }